package com.steerinfo.lgReal.controller;

import com.steerinfo.lgReal.model.LgReal;
import com.steerinfo.lgReal.service.ILgRealService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/${api.version}/lgReal")
public class LgRealController {
      @Autowired
      private ILgRealService lgRealService;


    @GetMapping("/queryReals1")
    public List<LgReal> QueryReals1(){
        return lgRealService.QueryLgReals1();
    }
    @GetMapping("/queryReals2")
    public List<LgReal> QueryReals2(){
        return lgRealService.QueryLgReals2();
    }

}
