package com.steerinfo.lgReal.service.impl;

import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.lgReal.mapper.LgRealMapper;
import com.steerinfo.lgReal.model.LgReal;
import com.steerinfo.lgReal.service.ILgRealService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("lgRealService")
public class LgRealImpl implements ILgRealService {

    @Autowired
    private LgRealMapper lgRealMapper;

    @Override
    @TargetDataSource(name = "ds2")
    public List<LgReal> QueryLgReals1() {
        return lgRealMapper.QueryLgReals1();
    }

    @Override
    @TargetDataSource(name = "ds2")
    public List<LgReal> QueryLgReals2() {
        return lgRealMapper.QueryLgReals2();
    }

}
