package com.steerinfo.product.dzmaterialsf.controller;

import com.steerinfo.product.dzmaterialsf.model.DzMaterialSf;
import com.steerinfo.product.dzmaterialsf.service.IDzMaterialSfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * DzMaterialSf RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 03:25
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：DzMaterialSf RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/dematerialSfDb")
public class DzMaterialSfController  {

    @Autowired
    IDzMaterialSfService dzMaterialSfService;

    @GetMapping("/getDzMaterialSf")
    public List<DzMaterialSf> getDzMaterialSf(){
        List<DzMaterialSf> all = dzMaterialSfService.getDzMaterialSf();
        return all;
    }
}
