package com.steerinfo.product.dzmaterialsf.service.impl;

import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.product.dzmaterialsf.mapper.DzMaterialSfMapper;
import com.steerinfo.product.dzmaterialsf.model.DzMaterialSf;
import com.steerinfo.product.dzmaterialsf.service.IDzMaterialSfService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;

/**
 * DzMaterialSf服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 03:25
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：DzMaterialSf服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "dzMaterialSfService")
public class DzMaterialSfServiceImpl  implements IDzMaterialSfService {

    private static final Logger logger = LoggerFactory.getLogger(DzMaterialSfServiceImpl.class);

    @Autowired
    private DzMaterialSfMapper dzMaterialSfMapper;


    @Override
    //@TargetDataSource(dataSourceKey = DataSourceKey.DB_SLAVE1)
    @TargetDataSource(name = "ds4")
    public List<DzMaterialSf> getDzMaterialSf() {

        Calendar calendar = Calendar.getInstance(); //创建Calendar 的实例
//可以转成你想要的格式 yyyy/MM/dd HH:mm:ss 等等
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        calendar.add(Calendar.DAY_OF_MONTH,-1);
        String gbsj= format.format(calendar.getTime());

        List<DzMaterialSf> dzMaterialSfList = dzMaterialSfMapper.getDzMaterialSf(gbsj);
        return dzMaterialSfList;
    }

}
