package com.steerinfo.product.emsstandard.service.impl;

import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.product.emsstandard.mapper.EmsStandardMapper;
import com.steerinfo.product.emsstandard.model.EmsStandard;
import com.steerinfo.product.emsstandard.service.IEmsStandardService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service(value = "emsStandardService")
public class IEmsStandardServiceImpl implements IEmsStandardService {

    @Autowired
    private EmsStandardMapper emsStandardMapper;
    @Override
    @TargetDataSource(name = "ds1")
    public List<EmsStandard> getStandards(@Param("type") String type) {
        return emsStandardMapper.getStandards(type);
    }
}
