package com.steerinfo.quality.bfhyd.service.impl;

import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.quality.bfhyd.mapper.BfhydMapper;
import com.steerinfo.quality.bfhyd.model.Bfhyd;
import com.steerinfo.quality.bfhyd.service.IBfhydService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Bfhyd服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 05:03
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：Bfhyd服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bfhydService")
public class BfhydServiceImpl  implements IBfhydService {
    @Autowired
    private BfhydMapper bfhydMapper;

    @Override
    @TargetDataSource(name = "ds3")
    public List<Bfhyd> getAll() {
        return bfhydMapper.getAll();
    }

}
