package com.steerinfo.weight.lgmes.controller;

import com.steerinfo.weight.lgmes.model.EmsScqkLg;
import com.steerinfo.weight.lgmes.service.ILgReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

@RestController
@RequestMapping("/${api.version}/lgreport")
public class LgReportController {
      @Autowired
      private ILgReportService lgReportService;


    @GetMapping("/queryReportByTime")
    public List<EmsScqkLg> QueryReportByTime(){
        Calendar calendar = Calendar.getInstance(); //创建Calendar 的实例
//可以转成你想要的格式 yyyy/MM/dd HH:mm:ss 等等
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        List<EmsScqkLg> emsScqkLgs = new ArrayList<>();
            calendar.add(Calendar.DAY_OF_MONTH,-1);
            String clock= format.format(calendar.getTime());
            emsScqkLgs.add(lgReportService.QueryReportByTime(clock));
        return emsScqkLgs;
    }


}
