package com.steerinfo.weight.lgmes.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author Shadow
 * @create 2021-10-19 9:21
 * @project xt-ems-datasource
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EmsScqkLg {
    /**
     * 生产日期(DATES,TIMESTAMP,7)
     */
    private String dates;

    /**
     * 钢坯日产量(RCL,DECIMAL,0)
     */
    private String rcl;

    /**
     * 进入炼钢铁水量(JTSL,DECIMAL,0)
     */
    private String jtsl;

    /**
     * 炼钢实际用量(SJYL,DECIMAL,0)
     */
    private String sjyl;

    /**
     * 库存量（铁水）(KCL,DECIMAL,0)
     */
    private String kcl;

    /**
     * 未浇钢水量(WJZL,DECIMAL,0)
     */
    private String wjzl;

    /**
     * 生产炉数(SCLS,DECIMAL,0)
     */
    private String scls;

    /**
     * 1#炉龄(LL_1,DECIMAL,0)
     */
    private String ll1;

    /**
     * 2#炉龄(LL_2,DECIMAL,0)
     */
    private String ll2;

    /**
     * 废钢总量_内部含生铁(FGZL_NBHST,DECIMAL,0)
     */
    private String fgzlNbhst;

    /**
     * 废钢总量_外购(FGZL_WG,DECIMAL,0)
     */
    private String fgzlWg;

    /**
     * 冷料单炉用量(LLDLYL,DECIMAL,0)
     */
    private String lldlyl;

    /**
     * 外购废钢_进废钢坑(WGFG_JFGK,DECIMAL,0)
     */
    private String wgfgJfgk;

    /**
     * 外购废钢_去席村废钢量(WGFG_QXC,DECIMAL,0)
     */
    private String wgfgQxc;

    /**
     * 席村返回废钢量(XCF,DECIMAL,0)
     */
    private String xcf;

    /**
     * 记事(MEMO,VARCHAR,500)
     */
    private String memo;

    /**
     * 操作人(CZR,VARCHAR,10)
     */
    private String czr;

    /**
     * 操作时间(CZSJ,TIMESTAMP,7)
     */
    private Date czsj;

    /**
     * 外销钢坯产量(WXGPCL,DECIMAL,0)
     */
    private String wxgpcl;

    /**
     * 冷料比(LLB,DECIMAL,0)
     */
    private String llb;

    /**
     * 钢水日产量(GSRCL,DECIMAL,0)
     */
    private String gsrcl;

    /**
     * 炼钢浓盐水用量(LG_NYS,DECIMAL,0)
     */
    private String lgNys;

    /**
     * 普钢钢坯产量(PGGP,DECIMAL,0)
     */
    private String pggp;

    /**
     * 品种钢钢坯产量(PZGGP,DECIMAL,0)
     */
    private String pzggp;

    /**
     * 异型坯钢坯产量(YXPGP,DECIMAL,0)
     */
    private String yxpgp;

    /**
     * 普钢钢水产量(PGGS,DECIMAL,0)
     */
    private String pggs;

    /**
     * 品种钢钢水产量(PZGGS,DECIMAL,0)
     */
    private String pzggs;

    /**
     * 异型坯钢水产量(YXPGS,DECIMAL,0)
     */
    private String yxpgs;


}
