package com.steerinfo.weight.lgmes.service.impl;
import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.weight.lgmes.mapper.LgReportMapper;
import com.steerinfo.weight.lgmes.model.EmsScqkLg;
import com.steerinfo.weight.lgmes.service.ILgReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("lgReportService")
public class LgReportImpl implements ILgReportService {

    @Autowired
    private LgReportMapper lgReportMapper;

    @Override
    @TargetDataSource(name = "ds2")
    public EmsScqkLg QueryReportByTime(String clock) {
        return lgReportMapper.QueryReportByTime(clock);
    }

}
