package com.steerinfo.weight.lgmes.service.impl;
import com.steerinfo.config.dynamicDataSource.TargetDataSource;
import com.steerinfo.weight.lgmes.mapper.LgWeightMapper;
import com.steerinfo.weight.lgmes.model.LgWeight;
import com.steerinfo.weight.lgmes.service.ILgWeightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("lgWeightService")
public class LgWeightImpl  implements ILgWeightService {

    @Autowired
    private LgWeightMapper lgWeightMapper;

    @TargetDataSource(name = "ds2")
    public List<LgWeight> QueryWeightByTime() {
        return lgWeightMapper.QueryWeightByTime();
    }

    @TargetDataSource(name = "ds2")
    public List<LgWeight> QueryWeightByTime2(String startTime, String endTime) {
        return lgWeightMapper.QueryWeightByTime2(startTime,endTime);
    }

    @Override
    @TargetDataSource(name = "ds2")
    public List<LgWeight> QueryWeightforRound(String startTime, String endTime) {
        return lgWeightMapper.QueryWeightforRound(startTime,endTime);
    }

}
